package com.dragon.tj.portal.auth.web.mapper;

import com.dragon.tj.portal.auth.web.entity.SysUser;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Set;

/**
 * <p>
 * 用户信息表 Mapper 接口
 * </p>
 *
 * @author caiaa
 * @since 2023-06-23
 */
@Mapper
public interface SysUserMapper extends BaseMapper<SysUser> {

    Set<String> getUserIds(@Param("itemCodes") List<String> itemCodes);
}
