package com.dragon.tj.portal.common.enums;

/**
 * @author huey China.
 * @Description : 逻辑删除状态
 * @Date Created in 2023/6/15 15:40
 */
public enum DelFlagEnum {

    NO(0, "有效"),
    YES(1, "无效");

    private final Integer value;
    private final String name;

    DelFlagEnum(Integer value, String name) {
        this.value = value;
        this.name = name;
    }

    public Integer value() {
        return this.value;
    }
}
