package com.dragon.tj.portal.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

/*
* 文件
* */
@Getter
@Setter
@Accessors(chain = true)
@TableName("file_info")
public class FileInfo {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;//主键
    private String fileName;//文件名
    private String url;//路径
    private Integer type;//文件类型（办公常用，系统工具......）
    private String extension;//拓展名
    private Long size;//文件大小
    private Long downloads;//下载量
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime createTime;//上传时间
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime updateTime;//更新时间
    private String delFlag;//删除
    private String createUser;//上传人
    private String contentType;//ContentType


}
