package com.dragon.tj.portal.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dragon.tj.portal.common.vo.message.MessagePageParam;
import com.dragon.tj.portal.entity.MessageInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 信息表 Mapper 接口
 * </p>
 *
 * @author huey
 * @since 2023-06-15
 */
@Mapper
public interface MessageInfoMapper extends BaseMapper<MessageInfo> {

    IPage<MessageInfo> queryPage(Page page, @Param("req") MessagePageParam req,@Param("idCard") String idCard);

    Integer  getCount(@Param("idCard") String idCard,@Param("readStatus") Integer readStatus);
}
