package com.dragon.tj.portal.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dragon.tj.portal.auth.model.LoginUser;
import com.dragon.tj.portal.entity.IssueInfo;
import com.dragon.tj.portal.entity.PageParam;


public interface IssueService {
    /*
    * CRUD
    * */
    int addIssue(IssueInfo issueInfo, LoginUser loginUser);

    int deleteIssue(Long id);

    int updateIssue(IssueInfo issueInfo);

    IssueInfo detail(Long id);

    /*
     * 分页搜索
     * */
    Page<IssueInfo> search(PageParam<IssueInfo> issueInfoPage);

}
